Bug 335991 - SELinux, Perl, amavisd-new .arj attachment processing denials
SELinux, Perl, amavisd-new .arj attachment processing denials
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-17 07:40 EDT by Anthony Messina
Modified: 2008-06-16 22:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:41:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anthony Messina 2007-10-17 07:40:14 EDT
Description of problem:
SELinux, in permissive mode is creating denials when using amavisd-new and 
receiving/processing an email with an .arj attachement (obviously spam).

Version-Release number of selected component (if applicable):
amavisd-new-2.5.1-1.fc7
selinux-policy-targeted-2.6.4-48.fc7

How reproducible:
Every time amavisd-new tries to process an email with a .arj attachment

  
Actual results:
avc: denied { create } for comm="amavisd" egid=497 euid=497 
exe="/usr/bin/perl" exit=0 fsgid=497 fsuid=497 gid=497 items=0 name="p001.arj" 
pid=9864 scontext=system_u:system_r:amavis_t:s0 sgid=497 
subj=system_u:system_r:amavis_t:s0 suid=497 tclass=lnk_file 
tcontext=system_u:object_r:amavis_spool_t:s0 tty=(none) uid=497

avc: denied { getattr } for comm="arj" dev=sda2 egid=497 euid=497 
exe="/usr/bin/arj" exit=0 fsgid=497 fsuid=497 gid=497 items=0 name="p001.arj" 
path="/var/spool/amavisd/tmp/amavis-20071015T070304-09864/parts/p001.arj" 
pid=11703 scontext=system_u:system_r:amavis_t:s0 sgid=497 
subj=system_u:system_r:amavis_t:s0 suid=497 tclass=lnk_file 
tcontext=system_u:object_r:amavis_spool_t:s0 tty=(none) uid=497

avc: denied { read } for comm="arj" dev=sda2 egid=497 euid=497 
exe="/usr/bin/arj" exit=0 fsgid=497 fsuid=497 gid=497 items=0 name="p001.arj" 
pid=11703 scontext=system_u:system_r:amavis_t:s0 sgid=497 
subj=system_u:system_r:amavis_t:s0 suid=497 tclass=lnk_file 
tcontext=system_u:object_r:amavis_spool_t:s0 tty=(none) uid=497

avc: denied { unlink } for comm="amavisd" dev=sda2 egid=497 euid=497 
exe="/usr/bin/perl" exit=0 fsgid=497 fsuid=497 gid=497 items=0 name="p001.arj" 
pid=9864 scontext=system_u:system_r:amavis_t:s0 sgid=497 
subj=system_u:system_r:amavis_t:s0 suid=497 tclass=lnk_file 
tcontext=system_u:object_r:amavis_spool_t:s0 tty=(none) uid=497

Expected results:
amavisd-new should be able to process the attachments, looking for spam as it 
does without denials for other attachment types (.gz, .zip, etc.)

Additional Info:
In enforcing mode, this causes amavisd-new to choke and bounce the spam 
message, causing backscatter.
Comment 1 Daniel Walsh 2007-10-17 10:30:37 EDT
Fixed in selinux-policy-2.6.4-49.fc7.src.rpm

Comment 2 Anthony Messina 2007-12-06 03:32:40 EST
It works in selinux-policy-targeted-2.6.4-57.fc7
Comment 3 Bug Zapper 2008-05-14 10:46:33 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2008-06-16 22:40:59 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.